> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/farm-settings/reporting.md).

# Reporting

## Get

> Retrieve the Reporting Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Reporting":{"get":{"tags":["1-Farm settings//Reporting"],"summary":"Get","description":"Retrieve the Reporting Settings.","operationId":"417f2ceb-e300-4cf9-98b5-792cffc02658","responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ReportingSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ReportingSettings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Enable or disable RAS Reporting functionality.</para>"},"deltaCpu":{"type":"integer","description":"<para type=\"description\">Minimum CPU change required to track the counter.</para>","format":"int32"},"deltaMemory":{"type":"integer","description":"<para type=\"description\">Minimum Memory change required to track the counter.</para>","format":"int32"},"enableCustomReports":{"type":"boolean","description":"<para type=\"description\">Enable or disable custom report.</para>"},"folderName":{"type":"string","description":"<para type=\"description\">Custom report folder name.</para>","nullable":true},"port":{"type":"integer","description":"<para type=\"description\">Port used by the service which receives data from the RAS Connection Broker. The default port is 30008.</para>","format":"int32"},"server":{"type":"string","description":"<para type=\"description\">The FQDN or IP address of the server where RAS Reporting is installed.</para>","nullable":true},"useCredentials":{"type":"boolean","description":"<para type=\"description\">Enable or disable Username/Password credentials to connect to the Server hosting RAS Reporting.</para>"},"username":{"type":"string","description":"<para type=\"description\">Username to connect to the Server hosting RAS Reporting (if UseCredentials is enabled).</para>","nullable":true},"trackServerTime":{"type":"integer","description":"<para type=\"description\">How long the server counters information (such as CPU, Memory and number of sessions) is kept (in seconds).</para>","format":"int32"},"trackServers":{"type":"boolean","description":"<para type=\"description\">Enable or disable Server counters information tracking.</para>"},"trackSessionTime":{"type":"integer","description":"<para type=\"description\">How long information regarding the sessions opened on your servers is kept (in seconds).</para>","format":"int32"},"trackSessions":{"type":"boolean","description":"<para type=\"description\">Enable or disable Sessions information tracking.</para>"},"trackLogonDetails":{"type":"boolean","description":"<para type=\"description\">Enable or disable logon details tracking.</para>"},"trackLogonDetailsTime":{"type":"integer","description":"<para type=\"description\">How long to retain logon details.</para>","format":"int32"},"trackUserExperience":{"type":"boolean","description":"<para type=\"description\">Enable or disable tracking of user experience data.</para>"},"trackUserExperienceTime":{"type":"integer","description":"<para type=\"description\">How long to retain user experience data.</para>","format":"int32"},"deltaUXEvaluator":{"type":"integer","description":"<para type=\"description\">Track UX evaluator by user percentage choice.</para>","format":"int32"},"deltaLatency":{"type":"integer","description":"<para type=\"description\">Track Latency by user percentage choice.</para>","format":"int32"},"deltaBandwidth":{"type":"integer","description":"<para type=\"description\">Track bandwidth by user percentage choice.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Reporting Settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify the Reporting Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Reporting":{"put":{"tags":["1-Farm settings//Reporting"],"summary":"Update","description":"Modify the Reporting Settings.","operationId":"f0ef5a74-a04f-4e17-a886-21781259058e","requestBody":{"description":"Reporting Configuration Settings model","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetReportingSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetReportingSettings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Enable or disable RAS Reporting functionality.</para>","nullable":true},"deltaCpu":{"type":"integer","description":"<para type=\"description\">Minimum CPU change required to track the counter.</para>","format":"int32","nullable":true},"deltaMemory":{"type":"integer","description":"<para type=\"description\">Minimum Memory change required to track the counter.</para>","format":"int32","nullable":true},"enableCustomReports":{"type":"boolean","description":"<para type=\"description\">Enable or disable custom report.</para>","nullable":true},"folderName":{"type":"string","description":"<para type=\"description\">Custom report folder name.</para>","nullable":true},"port":{"type":"integer","description":"<para type=\"description\">Port used by the service which receives data from the RAS Connection Broker. The default port is 30008.</para>","format":"int32","nullable":true},"server":{"type":"string","description":"<para type=\"description\">The FQDN or IP address of the server where RAS Reporting is installed.</para>","nullable":true},"useCredentials":{"type":"boolean","description":"<para type=\"description\">Enable or disable Username/Password credentials to connect to the Server hosting RAS Reporting.</para>","nullable":true},"username":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Username to connect to the Server hosting RAS Reporting (if UseCredentials is enabled).</para>","nullable":true},"password":{"type":"string","description":"<para type=\"description\">Password to connect to the Server hosting RAS Reporting (if UseCredentials is enabled).</para>","nullable":true},"trackServerTime":{"type":"integer","description":"<para type=\"description\">How long the server counters information (such as CPU, Memory and number of sessions) is kept (in seconds).</para>","format":"int32","nullable":true},"trackServers":{"type":"boolean","description":"<para type=\"description\">Enable or disable Server counters information tracking.</para>","nullable":true},"trackSessionTime":{"type":"integer","description":"<para type=\"description\">How long information regarding the sessions opened is kept (in seconds).</para>","format":"int32","nullable":true},"trackSessions":{"type":"boolean","description":"<para type=\"description\">Enable or disable Sessions information tracking.</para>","nullable":true},"trackLogonDetails":{"type":"boolean","description":"<para type=\"description\">Enable or disable Logon information tracking.</para>","nullable":true},"trackLogonDetailsTime":{"type":"integer","description":"<para type=\"description\">How long information regarding the logon is kept (in seconds).</para>","format":"int32","nullable":true},"trackUserExperience":{"type":"boolean","description":"<para type=\"description\">Enable or disable User experience tracking.</para>","nullable":true},"trackUserExperienceTime":{"type":"integer","description":"<para type=\"description\">How long information regarding the user experience is kept (in seconds).</para>","format":"int32","nullable":true},"deltaUXEvaluator":{"type":"integer","description":"<para type=\"description\">Track UX Evaluator when change is more than user input.</para>","format":"int32","nullable":true},"deltaLatency":{"type":"integer","description":"<para type=\"description\">Track Delta latency when change is more than user input.</para>","format":"int32","nullable":true},"deltaBandwidth":{"type":"integer","description":"<para type=\"description\">Track Delta bandwidth when change is more than user input.</para>","format":"int32","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update RAS Reporting settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/farm-settings/reporting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
